/*  This file is part of LingoTeach, the Language Teaching program 
 *  Copyright (C) 2001-2003 The LingoTeach Team
 *
 *  This program is free software; you can redistribute it and/or modify 
 *  it under the terms of the GNU General Public License as published by 
 *  the Free Software Foundation; either version 2 of the License, or 
 *  (at your option) any later version. 
 *
 *  This program is distributed in the hope that it will be useful, 
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 *  GNU General Public License for more details. 
 * 
 *  You should have received a copy of the GNU General Public License 
 *  along with this program; if not, write to the Free Software 
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
 */

#include <stdlib.h>
#include <gtk/gtk.h>

#include "filter.h"
#include "lingoteach-i18n.h"

const gchar* module_name (void);
const gchar* module_desc (void);
GtkWidget *module_box (void);
void module_free (void);

static gchar *applications[] =
  { "KVocTrain", NULL };


/*
 * public members start here 
 */
const gchar* 
module_name (void)
{
  return "Data Filter";
}

const gchar* 
module_desc (void)
{
  return _("Im- and export filter for LingoTeachs Lessons and third party data");
}

GtkWidget*
module_box (void)
{
  GtkWidget *tbl_main;
  GtkWidget *lbl_filter;
  GtkWidget *opt_filter;
  GtkWidget *men_filter;
  GtkWidget *btn_export;
  GtkWidget *btn_import;
  GtkWidget *btn_file;
  GtkWidget *txt_file;

  tbl_main   = gtk_table_new (4, 2, TRUE);
  lbl_filter = gtk_label_new (_("Application:"));
  btn_import = gtk_button_new_with_mnemonic (_("_Import"));
  btn_export = gtk_button_new_with_mnemonic (_("_Export"));
  btn_file   = gtk_button_new_with_mnemonic (_("_File to use:"));
  txt_file   = gtk_entry_new ();
  opt_filter = gtk_option_menu_new ();
  men_filter = NULL;
  gtk_option_menu_set_menu (GTK_OPTION_MENU (opt_filter), men_filter);
  
  gtk_table_attach (GTK_TABLE (tbl_main), lbl_filter,
		    0, 1, 0, 1, GTK_SHRINK, GTK_SHRINK, 0, 2);
  gtk_table_attach (GTK_TABLE (tbl_main), opt_filter,
		    1, 2, 0, 1, GTK_SHRINK, GTK_SHRINK, 0, 2);
  gtk_table_attach (GTK_TABLE (tbl_main), btn_file,
		    0, 1, 1, 2, GTK_SHRINK, GTK_SHRINK, 0, 2);
  gtk_table_attach (GTK_TABLE (tbl_main), txt_file,
		    0, 2, 2, 3, GTK_FILL, GTK_SHRINK, 0, 2);
  gtk_table_attach_defaults (GTK_TABLE (tbl_main), btn_export,
			     0, 1, 3, 4);
  gtk_table_attach_defaults (GTK_TABLE (tbl_main), btn_import,
			     1, 2, 3, 4);

  /* signals */
  gtk_widget_show_all (tbl_main);
  
  return tbl_main;
}

void 
module_free (void)
{
  return;
}
